Bug 739408 - Anaconda crashes when moving the boot loader from one disk to another.
Summary: Anaconda crashes when moving the boot loader from one disk to another.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-18 19:54 UTC by David Thorarinsson
Modified: 2011-10-01 09:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-01 09:47:42 UTC


Attachments (Terms of Use)

Description David Thorarinsson 2011-09-18 19:54:10 UTC
Description of problem: 
In the alpha version of Fedora 16 (KDE version, x86_64, Live CD installation), Anaconda crashes if the boot loader is changed from one disk to another. This crash is reproducible. In my computer, I have two SSD's but I doubt that it really matters.

Version-Release number of selected component (if applicable):
Anaconda, version that is supplied with Fedora 16 Alpha.

Steps to Reproduce:
1. Select Basic Storage Devices and then further down the line I select "Use All Space", uncheck "Use LVM" and check "Review and modify partitioning layout".
2. In the next screen I select the topmost SSD first and move it to the right window. Then do the same thing with the other SSD. Click next.
3. On the next screen, instead of doing something, click the "Back" button.
4. Change the "Boot Loader" to the other disk and click next.
5. A window pops up saying that an unhandled exception has occurred. 
  
Actual results: Anaconda crashes


Expected results: Anaconda should allow for the change of disk for the boot loader.


Additional info:

Comment 1 David Lehman 2011-09-29 15:47:08 UTC
I was unable to recreate the exact failure described in this bug, but I did uncover some broken behavior. Specifically, when going back and forth between cleardisks_gui and partitioning we were not resetting the storage instance, so we were piling on multiple sets of autopart requests. There was also some inconsistency in the boot drive selection. I have posted a patch to resolve both of these issues.

Comment 2 David Lehman 2011-09-30 16:54:03 UTC
A fix will be in anaconda-16.21-1, which is post-beta.

Comment 3 David Thorarinsson 2011-09-30 22:22:25 UTC
I just tested doing an installation using the beta RC2 and retracing my steps that would introduce failure in beta RC1 but everything worked just fine in RC2. 

Thanks for your help. I can do more testing but I think this case can be closed.


Note You need to log in before you can comment on or make changes to this bug.